%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define	release	%mkrel 1

%define	ant_home	%{_datadir}/ant
%define ant_builddir	antbuilddir

Summary:	Ant build tool for java j2sdk
Summary(de):	Ant ist ein Tool zum Kompilieren von Javakode
Name:		apache-ant
Version:	1.10.1
Release:	%release
Group:		Development/Java
License:	Apache License Version 2
Group:		Development/Java
URL:		http://ant.apache.org/
Source0:        http://www.apache.org/dist/ant/source/%{name}-%{version}-src.tar.xz
Source1:	junit-4.11.jar
Source2:	hamcrest-all-1.3.jar
Provides:	ant
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	jdk >= 1.4.2_10
BuildConflicts:	ant 
BuildConflicts: j2sdk-ant
Obsoletes: j2sdk-ant
Obsoletes: %{name} < %{version}
BuildArch:	noarch


%description
Ant is a platform-independent build tool for java. It's used by Apache
Jakarta and XML projects.

%description -l de
Ant ist ein plattformunabhängiges Werkzeug zum Kompilieren von Javakode. Es wird
von Apache Jakarta und XML Projekten genutzt.

%prep
%setup -q -n apache-ant-%{version}

cp %SOURCE1 %_topdir/BUILD/%name-%version/lib/optional
cp %SOURCE2 %_topdir/BUILD/%name-%version/lib/optional

%build
JAVA_HOME=/usr/lib/jvm/$(rpm -qa | grep "java-.*-sun-1" | sed 's/-.*uplos.*//g')

export JAVA_HOME
export ANT_HOME=%{_datadir}/ant

./build.sh  -Ddist.dir=%{ant_builddir} -Ddebug=false install
rm -f ./%{ant_builddir}/bin/{*.cmd,*bat}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir} \
	$RPM_BUILD_ROOT%{_javadir} \
	$RPM_BUILD_ROOT%{ant_home}/etc \
	$RPM_BUILD_ROOT%{ant_home}/lib

cat > $RPM_BUILD_ROOT%{_sysconfdir}/ant.conf <<EOF
# Use Jikes compiler
usejikes=false
ANT_HOME=%{ant_home}
EOF

install -p -m 644 	%{ant_builddir}/lib/ant*.jar $RPM_BUILD_ROOT%{_javadir}
							
install -p -m 755 	%{ant_builddir}/bin/ant \
			%{ant_builddir}/bin/antRun \
			%{ant_builddir}/bin/*.py \
			%{ant_builddir}/bin/*.pl \
			$RPM_BUILD_ROOT%{_bindir}

(cd $RPM_BUILD_ROOT%{_javadir}
 for i in *.jar; do
	ln -s %{_javadir}/$i $RPM_BUILD_ROOT%{ant_home}/lib/$i
 done
)

cp -a %{ant_builddir}/etc/* $RPM_BUILD_ROOT%{ant_home}/etc
rm -f $RPM_BUILD_ROOT/etc/ant-bootstrap.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc KEYS LICENSE NOTICE README
%doc WHATSNEW %{ant_builddir}/manual
%{_bindir}/ant
%{_bindir}/antRun
%{_bindir}/*.pl
%{_bindir}/*.py
%config(noreplace) %{_sysconfdir}/ant.conf
%dir %{ant_home}
%dir %{ant_home}/etc
%dir %{ant_home}/etc/checkstyle
%dir %{ant_home}/lib
%dir %{_javadir}
%{ant_home}/etc/ant-bootstrap.jar
%{ant_home}/etc/*.xsl
%{ant_home}/etc/checkstyle/*.xsl
%{ant_home}/lib/*
%{_javadir}/ant*.jar

%changelog
* Fri Aug 04 2017 adrianomorselli <adrianomorselli> 1.10.1-1uplos2017
- update
